/****************************************************************************
Copyright (C) 2010 Laszlo Simon <laszlo.simon@gmail.com>
This file is part of the QMETRICS project.

QMETRICS is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation version 3 of the License.

QMETRICS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with QMETRICS. If not, see <http://www.gnu.org/licenses/>.

See http://www.illusions.hu for further details.
*****************************************************************************/
#ifndef _CM_TABS_H_
#define _CM_TABS_H_

#ifdef  TAB
#undef  TAB
#endif
#define TAB(key,name,groupname,base,contact,conversion) eTab##key,
typedef enum
{
#include "cm_tabs.inc"
  eTabNum
} eTab;

/** Unit tab datatable record */
typedef struct
{
  eTab        key;         /**< Primary key */
  const char* name;        /**< Name (localization string) */
  const char* groupname;   /**< Name in group caption (localization string) */
  eUnit       base;        /**< Base unit of the tab */
  eUnit       contact;     /**< Link to other group */
  eUnit       conversion;  /**< Conversion from Link unit */
} sTab;

extern const sTab tabs[eTabNum];

extern eTab tabID(eUnit unit);

#endif
