/****************************************************************************
Copyright (C) 2010 Laszlo Simon <laszlo.simon@gmail.com>
                   Esthefan Maleki <illusions.hu@gmail.com>
This file is part of the QMETRICS project.

QMETRICS is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation version 3 of the License.

QMETRICS is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with QMETRICS. If not, see <http://www.gnu.org/licenses/>.

See http://www.illusions.hu for further details.
*****************************************************************************/
/*
  ID:       Keyword for the tab. Can contain only A-Z a-z chars.
  tabname:     English name unit type written on the option tab. string type
  platename:   English name unit type written in the window. string type
  base_unit: 
  contact_unit: 
  conversion_unit: The unit that converts form the base unit to the contact unit
*/

/*             ID,                    tabname,      platename,       base_unit,   contact_unit,  conversion_unit */
TAB(       Length,                  "Length",       "Length",       Meter,          Null,       Null)
TAB(       Frequency,               "Null",         "Frequency",    Hertz,          Meter,      Meter2Hertz)
TAB(       Area,                    "Area",         "Area",         SquareMeter,    Null,       Null)
TAB(       Volume,                  "Volume",       "Volume",       CubicMeter,     Null,       Null)
TAB(       Time,                    "Time",         "Time",         Second,         Null,       Null)
TAB(       Velocity,                "Velocity",     "Velocity",     MeterPerSecond, Null,       Null)
TAB(       Angle,                   "Angle",        "Angle",        Degree,         Null,       Null)
TAB(       Mass,                    "Mass",         "Mass",         Kilogram,       Null,       Null)
TAB(       Density,                 "Density",      "Density",      KilogramPerCubicMeter,       Null,       Null)
TAB(       Viscosity,               "Viscosity",    "Dynamic viscosity",    PascalSecond,       Null,           Null)
TAB(       KinematicViscosity,      "Null",         "Kinematic viscosity",  Meter2PerSecond,    PascalSecond,   PascalSecond2M2PerS)
TAB(       Concentration,           "Concentration", "Mass/mass",     KilogramPerKilogram,      Null,           Null)
TAB(       VolumetricFraction,      "Null",          "Volume/volume", CubicMeterPerCubicMeter,  KilogramPerKilogram,           Null)
TAB(       Molarity,                "Null",          "Molarity",      KiloMolPerCubicMeter,     KilogramPerKilogram,           Null)
TAB(       Temperature,             "Temperature",   "Temperature",   Kelvin,      Null,           Null)
TAB(       Pressure,                "Pressure",      "Pressure",      Pascal,      Null,           Null)
TAB(       Energy,                  "Energy",        "Energy",        Joule,      Null,           Null)
TAB(       Force,                   "Force",         "Force",         Newton,      Null,           Null)
TAB(       Flow,               		"Flow",    "Volumetric flow",     CubicMeterPerSecond,      Null,           Null)
TAB(       MassFlow,                "Null",         "Mass flow",  	  KilogramPerSecond,    CubicMeterPerSecond,   CubicMeter2Kilogram)

